@echo off
mode con:cols=80 lines=40
:: Script para instalação dos programas utilizados pelo SiGDEM 2.0
:: Criado por Ilson Junior - casnav-2349/casnav/Mar    /    ilson.junior@casnav.mar.mil.br
:: Versão 5.3 - 13/02/2014
::
:: 5.3 13/02/2014
:: - Atualizada a versão do Firefox para 24.0.3ESR;
::
:: 5.2 18/01/2014
:: - Atualizada a versão do Java para 7u51;
:: - Atualizado o script de desinstalação de Java;
:: - Atualizada a versão do Firefox para 24.0.2ESR;
:: - Removida a instalação do Java.Policy;
::
:: 5.1 15/10/2013
:: - Atualizada a versão do Java para 7u45;
::
:: 5.0 14/10/2013
:: - Atualizada a versão do Firefox para 24ESR;
:: - Adicionada a correção para o loading de documento do SiGDEM 2.0;
:: - Atualizada a versão do Java para 7u40;
:: - Atualizado o script de desinstalação de Java;
::
:: 4.14 12/08/2013
:: - Adicionado suporte ao Firefox 23;
::
:: 4.13 06/08/2013
:: - Atualizada a versão do Firefox para 22.0;
::
:: 4.12 27/06/2013
:: - Atualizada a versão do Java para 7u25;
:: - Melhorias no código de instalação do Java;
:: - Correções de caracteres especiais no código de instalação;
:: - Ajustes no tamanho da janela do script;
::
:: 4.11 10/05/2013
:: - Atualizada a versão do Java para 7u21;
:: - Atualizado o script de desinstalação de Java;
::
:: 4.10 06/05/2013
:: - Atualizada a versão do Firefox para 20.0;
::
:: 4.9 07/03/2013
:: - Atualizada a versão do Java para 7u17;
:: - Atualizado o script de desinstalação de Java;
::
:: 4.8 21/01/2013
:: - Atualizada a versão do Java para 7u11;
::
:: 4.7 21/11/2012
:: - Tornando as informações da BAT mais amigáveis;
:: - Adicionada a possibilidade de reiniciar o sistema ao final da execução;
:: - Melhoria dos processos internos do código;
:: - Adicionada a remoção do UAC em estações com Windows 7;
::
:: 4.6 29/10/2012
:: - Atualizada a versão do Java para 7U9;
::
:: 4.5 26/09/2012
:: - Configuração de não atualização automática do JAVA diretamente pela BAT;
:: - Configuração de não atualização do Firefox diretamente pela BAT para sistemas 32 bits;
:: - Configurações internas do firefox agora podem ser definidas diretamente pela BAT para sistemas 32 bits;
:: - Configuração de não atualização do Firefox diretamente pela BAT para sistemas 64 bits;
:: - Configurações internas do firefox agora podem ser definidas diretamente pela BAT para sistemas 64 bits;
:: 
:: 4.0 19/09/2012
:: - Implementada a desinstalação de todas as versões do JAVA antes da execução da instalação;
:: - Retirada a possibilidade de selecionar uma estação SERPRO;
:: - Acertos de navegação na BAT;
:: - Acertos de performance na BAT;
:: - Verificação pelo sistema de 32 ou 64 bits para instalação correta do native.dll;
:: - Melhorias na interação programa x usuário;
:: 
:: 3.0 30/08/2011
:: - Implementada a instalação do java.policy;
:: - Implementada a instalação da native.dll;
:: - Implementada a possibilidade de instalação customizada para usuários SERPRO;
:: - Acertos no código;
:: 2.0 - 28/03/2011
:: - Implementada a instalação do JAVA SRE;
:: - Implementado menu navegável;
::
:: 1.0 - 20/03/2011
:: - Criação do arquivo para facilitar a instalação do Firefox;
:menu
cls
ECHO.
ECHO		##################################################
ECHO		########            SiGDEM 2.0            ########
ECHO		#######             Instalacao             #######
ECHO		######        Estacao Cliente v5.3          ######
ECHO		##################################################
ECHO.
ECHO		##################################################
ECHO		####                                          ####
ECHO		#####                                        #####
ECHO		######    Esse script deve ser executado    ######
ECHO		#######   em uma estacao por um usuario    #######
ECHO		########  com direitos de administrador   ########
ECHO		########                                  ########
ECHO		########         Usuarios Windows 7       ########
ECHO		#######             DESABILITAR            #######
ECHO		######                  UAC                 ######
ECHO		#####     (CONTROLE DE ACESSO DE USUARIO)    #####
ECHO		####                                          ####
ECHO		##################################################
ECHO.
ECHO.
ECHO		Digite a opcao escolhida:
ECHO.
ECHO		 1 = Instalar Estacao Normal
ECHO.
ECHO.
ECHO		 X - Sair
ECHO.
set /p l=            Digite a Opcao:
if %l%==* goto errol

if %l%==1 goto Completa
if %l%==x goto quit
if %l%==X goto quit
goto errol

:Completa
cls
:: Desinstalador de todas as versoes do Oracle / Sun JAVA
:: Criado por Ilson Junior - casnav-2349/casnav/Mar    /    ilson.junior@casnav.mar.mil.br
ECHO Preparando para verificar e remover todas as versoes do Java instaladas...
PING 1.1.1.1 -n 1 -w 5000 >NUL
ECHO.
ECHO Iniciando a verificacao...
PING 1.1.1.1 -n 1 -w 2000 >NUL
echo Removendo JRE Runtime Environment 7.0 Update 60 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86417060FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 60...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83217060FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 59 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86417059FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 59...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83217059FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 58 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86417058FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 58...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83217058FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 57 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86417057FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 57...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83217057FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 56 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86417056FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 56...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83217056FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 55 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86417055FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 55...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83217055FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 54 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86417054FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 54...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83217054FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 53 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86417053FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 53...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83217053FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 52 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86417052FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 52...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83217052FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 51 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86417051FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 51...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83217051FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 50 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86417050FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 50...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83217050FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 49 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86417049FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 49...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83217049FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 48 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86417048FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 48...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83217048FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 47 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86417047FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 47...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83217047FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 46 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86417046FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 46...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83217046FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 45 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86417045FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 45...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83217045FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 44 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86417044FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 44...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83217044FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 43 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86417043FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 43...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83217043FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 42 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86417042FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 42...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83217042FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 41 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86417041FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 41...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83217041FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 40 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86417040FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 40...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83217040FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 39 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86417039FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 39...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83217039FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 38 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86417038FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 38...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83217038FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 37 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86417037FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 37...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83217037FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 36 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86417036FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 36...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83217036FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 35 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86417035FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 35...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83217035FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 34 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86417034FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 34...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83217034FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 33 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86417033FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 33...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83217033FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 32 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86417032FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 32...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83217032FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 31 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86417031FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 31...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83217031FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 30 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86417030FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 30...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83217030FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 29 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86417029FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 29...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83217029FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 28 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86417028FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 28...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83217028FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 27 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86417027FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 27...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83217027FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 26 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86417026FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 26...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83217026FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 25 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86417025FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 25...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83217025FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 24 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86417024FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 24...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83217024FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 23 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86417023FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 23...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83217023FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 22 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86417022FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 22...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83217022FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 21 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86417021FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 21...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83217021FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 20 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86417020FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 20...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83217020FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 19 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86417019FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 19...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83217019FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 18 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86417018FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 18...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83217018FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 17 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86417017FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 17...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83217017FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 16 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86417016FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 16...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83217016FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 15 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86417015FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 15...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83217015FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 14 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86417014FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 14...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83217014FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 13 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86417013FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 13...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83217013FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 12 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86417012FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 12...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83217012FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 11 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86417011FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 11...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83217011FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 10 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86417010FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 10...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83217010FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 9 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86417009FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 9...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83217009FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 8 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86417008FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 8...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83217008FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 7 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86417007FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 7...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83217007FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 6 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86417006FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 6...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83217006FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 5 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86417005FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 5...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83217005FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 4 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86417004FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 4...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83217004FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 3 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86417003FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 3...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83217003FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 2 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86417002FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 2...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83217002FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 1 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86417001FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 Update 1...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83217001FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86417000FF} /passive /norestart
echo Removendo JRE Runtime Environment 7.0...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83217000FF} /passive /norestart
echo Removendo JRE Runtime Environment 6.0 Update 40 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86416040FF} /passive /norestart
echo Removendo JRE Runtime Environment 6.0 Update 40...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83216040FF} /passive /norestart
echo Removendo JRE Runtime Environment 6.0 Update 39 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86416039FF} /passive /norestart
echo Removendo JRE Runtime Environment 6.0 Update 39...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83216039FF} /passive /norestart
echo Removendo JRE Runtime Environment 6.0 Update 38 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86416038FF} /passive /norestart
echo Removendo JRE Runtime Environment 6.0 Update 38...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83216038FF} /passive /norestart
echo Removendo JRE Runtime Environment 6.0 Update 37 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86416037FF} /passive /norestart
echo Removendo JRE Runtime Environment 6.0 Update 37...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83216037FF} /passive /norestart
echo Removendo JRE Runtime Environment 6.0 Update 36 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86416036FF} /passive /norestart
echo Removendo JRE Runtime Environment 6.0 Update 36...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83216036FF} /passive /norestart
echo Removendo JRE Runtime Environment 6.0 Update 35 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86416035FF} /passive /norestart
echo Removendo JRE Runtime Environment 6.0 Update 35...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83216035FF} /passive /norestart
echo Removendo JRE Runtime Environment 6.0 Update 34 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86416034FF} /passive /norestart
echo Removendo JRE Runtime Environment 6.0 Update 34...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83216034FF} /passive /norestart
echo Removendo JRE Runtime Environment 6.0 Update 33 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86416033FF} /passive /norestart
echo Removendo JRE Runtime Environment 6.0 Update 33...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83216033FF} /passive /norestart
echo Removendo JRE Runtime Environment 6.0 Update 32 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86416032FF} /passive /norestart
echo Removendo JRE Runtime Environment 6.0 Update 32...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83216032FF} /passive /norestart
echo Removendo JRE Runtime Environment 6.0 Update 31 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86416031FF} /passive /norestart
echo Removendo JRE Runtime Environment 6.0 Update 31...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83216031FF} /passive /norestart
echo Removendo JRE Runtime Environment 6.0 Update 30 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86416030FF} /passive /norestart
echo Removendo JRE Runtime Environment 6.0 Update 30...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83216030FF} /passive /norestart
echo Removendo JRE Runtime Environment 6.0 Update 29 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86416029FF} /passive /norestart
echo Removendo JRE Runtime Environment 6.0 Update 29...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83216029FF} /passive /norestart
echo Removendo JRE Runtime Environment 6.0 Update 28 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86416028FF} /passive /norestart
echo Removendo JRE Runtime Environment 6.0 Update 28...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83216028FF} /passive /norestart
echo Removendo JRE Runtime Environment 6.0 Update 27 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86416027FF} /passive /norestart
echo Removendo JRE Runtime Environment 6.0 Update 27...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83216027FF} /passive /norestart
echo Removendo JRE Runtime Environment 6.0 Update 26 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86416026FF} /passive /norestart
echo Removendo JRE Runtime Environment 6.0 Update 26...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83216026FF} /passive /norestart
echo Removendo JRE Runtime Environment 6.0 Update 25 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86416025FF} /passive /norestart
echo Removendo JRE Runtime Environment 6.0 Update 25...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83216025FF} /passive /norestart
echo Removendo JRE Runtime Environment 6.0 Update 24 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86416024FF} /passive /norestart
echo Removendo JRE Runtime Environment 6.0 Update 24...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83216024FF} /passive /norestart
echo Removendo JRE Runtime Environment 6.0 Update 23 (x64)...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F86416023FF} /passive /norestart
echo Removendo JRE Runtime Environment 6.0 Update 23...
MsiExec.exe /uninstall {26A24AE4-039D-4CA4-87B4-2F83216023FF} /passive /norestart
echo Removendo JRE Runtime Environment 6.0 Update 22...
MsiExec.exe /uninstall {3248F0A8-6813-11D6-A77B-00B0D0160220} /passive /norestart
echo Removendo JRE Runtime Environment 6.0 Update 21...
MsiExec.exe /uninstall {3248F0A8-6813-11D6-A77B-00B0D0160210} /passive /norestart
echo Removendo JRE Runtime Environment 6.0 Update 20...
MsiExec.exe /uninstall {3248F0A8-6813-11D6-A77B-00B0D0160200} /passive /norestart
echo Removendo JRE Runtime Environment 6.0 Update 19...
MsiExec.exe /uninstall {3248F0A8-6813-11D6-A77B-00B0D0160190} /passive /norestart
echo Removendo JRE Runtime Environment 6.0 Update 18...
MsiExec.exe /uninstall {3248F0A8-6813-11D6-A77B-00B0D0160180} /passive /norestart
echo Removendo JRE Runtime Environment 6.0 Update 17...
MsiExec.exe /uninstall {3248F0A8-6813-11D6-A77B-00B0D0160170} /passive /norestart
echo Removendo JRE Runtime Environment 6.0 Update 16...
MsiExec.exe /uninstall {3248F0A8-6813-11D6-A77B-00B0D0160160} /passive /norestart
echo Removendo JRE Runtime Environment 6.0 Update 15...
MsiExec.exe /uninstall {3248F0A8-6813-11D6-A77B-00B0D0160150} /passive /norestart
echo Removendo JRE Runtime Environment 6.0 Update 14...
MsiExec.exe /uninstall {3248F0A8-6813-11D6-A77B-00B0D0160140} /passive /norestart
echo Removendo JRE Runtime Environment 6.0 Update 13...
MsiExec.exe /uninstall {3248F0A8-6813-11D6-A77B-00B0D0160130} /passive /norestart
echo Removendo JRE Runtime Environment 6.0 Update 12...
MsiExec.exe /uninstall {3248F0A8-6813-11D6-A77B-00B0D0160120} /passive /norestart
echo Removendo JRE Runtime Environment 6.0 Update 11...
MsiExec.exe /uninstall {3248F0A8-6813-11D6-A77B-00B0D0160110} /passive /norestart
echo Removendo JRE Runtime Environment 6.0 Update 10...
MsiExec.exe /uninstall {3248F0A8-6813-11D6-A77B-00B0D0160100} /passive /norestart
echo Removendo JRE Runtime Environment 6.0 Update 9...
MsiExec.exe /uninstall {3248F0A8-6813-11D6-A77B-00B0D0160090} /passive /norestart
echo Removendo JRE Runtime Environment 6.0 Update 8...
MsiExec.exe /uninstall {3248F0A8-6813-11D6-A77B-00B0D0160080} /passive /norestart
echo Removendo JRE Runtime Environment 6.0 Update 7...
MsiExec.exe /uninstall {3248F0A8-6813-11D6-A77B-00B0D0160070} /passive /norestart
echo Removendo JRE Runtime Environment 6.0 Update 6...
MsiExec.exe /uninstall {3248F0A8-6813-11D6-A77B-00B0D0160060} /passive /norestart
echo Removendo JRE Runtime Environment 6.0 Update 5...
MsiExec.exe /uninstall {3248F0A8-6813-11D6-A77B-00B0D0160050} /passive /norestart
echo Removendo JRE Runtime Environment 6.0 Update 4...
MsiExec.exe /uninstall {3248F0A8-6813-11D6-A77B-00B0D0160040} /passive /norestart
echo Removendo JRE Runtime Environment 6.0 Update 3...
MsiExec.exe /uninstall {3248F0A8-6813-11D6-A77B-00B0D0160030} /passive /norestart
echo Removendo JRE Runtime Environment 6.0 Update 2...
MsiExec.exe /uninstall {3248F0A8-6813-11D6-A77B-00B0D0160020} /passive /norestart
echo Removendo JRE Runtime Environment 6.0 Update 1...
MsiExec.exe /uninstall {3248F0A8-6813-11D6-A77B-00B0D0160010} /passive /norestart
echo Removendo JRE Runtime Environment 6.0...
MsiExec.exe /uninstall {3248F0A8-6813-11D6-A77B-00B0D0160000} /passive /norestart
echo Removendo JRE Runtime Environment 5.0 Update 21...
MsiExec.exe /uninstall {3248F0A8-6813-11D6-A77B-00B0D0150210} /passive /norestart
echo Removendo JRE Runtime Environment 5.0 Update 22...
MsiExec.exe /uninstall {3248F0A8-6813-11D6-A77B-00B0D0150220} /passive /norestart
echo Removendo JRE Runtime Environment 5.0 Update 21...
MsiExec.exe /uninstall {3248F0A8-6813-11D6-A77B-00B0D0150210} /passive /norestart
echo Removendo JRE Runtime Environment 5.0 Update 20...
MsiExec.exe /uninstall {3248F0A8-6813-11D6-A77B-00B0D0150200} /passive /norestart
echo Removendo JRE Runtime Environment 5.0 Update 19...
MsiExec.exe /uninstall {3248F0A8-6813-11D6-A77B-00B0D0150190} /passive /norestart
echo Removendo JRE Runtime Environment 5.0 Update 18...
MsiExec.exe /uninstall {3248F0A8-6813-11D6-A77B-00B0D0150180} /passive /norestart
echo Removendo JRE Runtime Environment 5.0 Update 17...
MsiExec.exe /uninstall {3248F0A8-6813-11D6-A77B-00B0D0150170} /passive /norestart
echo Removendo JRE Runtime Environment 5.0 Update 16...
MsiExec.exe /uninstall {3248F0A8-6813-11D6-A77B-00B0D0150160} /passive /norestart
echo Removendo JRE Runtime Environment 5.0 Update 15...
MsiExec.exe /uninstall {3248F0A8-6813-11D6-A77B-00B0D0150150} /passive /norestart
echo Removendo JRE Runtime Environment 5.0 Update 14...
MsiExec.exe /uninstall {3248F0A8-6813-11D6-A77B-00B0D0150140} /passive /norestart
echo Removendo JRE Runtime Environment 5.0 Update 13...
MsiExec.exe /uninstall {3248F0A8-6813-11D6-A77B-00B0D0150130} /passive /norestart
echo Removendo JRE Runtime Environment 5.0 Update 12...
MsiExec.exe /uninstall {3248F0A8-6813-11D6-A77B-00B0D0150120} /passive /norestart
echo Removendo JRE Runtime Environment 5.0 Update 11...
MsiExec.exe /uninstall {3248F0A8-6813-11D6-A77B-00B0D0150110} /passive /norestart
echo Removendo JRE Runtime Environment 5.0 Update 10...
MsiExec.exe /uninstall {3248F0A8-6813-11D6-A77B-00B0D0150100} /passive /norestart
echo Removendo JRE Runtime Environment 5.0 Update 9...
MsiExec.exe /uninstall {3248F0A8-6813-11D6-A77B-00B0D0150090} /passive /norestart
echo Removendo JRE Runtime Environment 5.0 Update 8...
MsiExec.exe /uninstall {3248F0A8-6813-11D6-A77B-00B0D0150080} /passive /norestart
echo Removendo JRE Runtime Environment 5.0 Update 7...
MsiExec.exe /uninstall {3248F0A8-6813-11D6-A77B-00B0D0150070} /passive /norestart
echo Removendo JRE Runtime Environment 5.0 Update 6...
MsiExec.exe /uninstall {3248F0A8-6813-11D6-A77B-00B0D0150060} /passive /norestart
echo Removendo JRE Runtime Environment 5.0 Update 5...
MsiExec.exe /uninstall {3248F0A8-6813-11D6-A77B-00B0D0150050} /passive /norestart
echo Removendo JRE Runtime Environment 5.0 Update 4...
MsiExec.exe /uninstall {3248F0A8-6813-11D6-A77B-00B0D0150040} /passive /norestart
echo Removendo JRE Runtime Environment 5.0 Update 3...
MsiExec.exe /uninstall {3248F0A8-6813-11D6-A77B-00B0D0150030} /passive /norestart
echo Removendo JRE Runtime Environment 5.0 Update 2...
MsiExec.exe /uninstall {3248F0A8-6813-11D6-A77B-00B0D0150020} /passive /norestart
echo Removendo JRE Runtime Environment 5.0 Update 1...
MsiExec.exe /uninstall {3248F0A8-6813-11D6-A77B-00B0D0150010} /passive /norestart
echo Removendo JRE Runtime Environment 5.0...
MsiExec.exe /uninstall {3248F0A8-6813-11D6-A77B-00B0D0150000} /passive /norestart
echo Removendo Java 2 Runtime Environment, SE v1.4.2_19...
MsiExec.exe /uninstall {7148F0A8-6813-11D6-A77B-00B0D0142190} /passive /norestart
echo Removendo Java 2 Runtime Environment, SE v1.4.2_18...
MsiExec.exe /uninstall {7148F0A8-6813-11D6-A77B-00B0D0142180} /passive /norestart
echo Removendo Java 2 Runtime Environment, SE v1.4.2_17...
MsiExec.exe /uninstall {7148F0A8-6813-11D6-A77B-00B0D0142170} /passive /norestart
echo Removendo Java 2 Runtime Environment, SE v1.4.2_16...
MsiExec.exe /uninstall {7148F0A8-6813-11D6-A77B-00B0D0142160} /passive /norestart
echo Removendo Java 2 Runtime Environment, SE v1.4.2_15...
MsiExec.exe /uninstall {7148F0A8-6813-11D6-A77B-00B0D0142150} /passive /norestart
echo Removendo Java 2 Runtime Environment, SE v1.4.2_14...
MsiExec.exe /uninstall {7148F0A8-6813-11D6-A77B-00B0D0142140} /passive /norestart
echo Removendo Java 2 Runtime Environment, SE v1.4.2_13...
MsiExec.exe /uninstall {7148F0A8-6813-11D6-A77B-00B0D0142130} /passive /norestart
echo Removendo Java 2 Runtime Environment, SE v1.4.2_12...
MsiExec.exe /uninstall {7148F0A8-6813-11D6-A77B-00B0D0142120} /passive /norestart
echo Removendo Java 2 Runtime Environment, SE v1.4.2_11...
MsiExec.exe /uninstall {7148F0A8-6813-11D6-A77B-00B0D0142110} /passive /norestart
echo Removendo Java 2 Runtime Environment, SE v1.4.2_10...
MsiExec.exe /uninstall {7148F0A8-6813-11D6-A77B-00B0D0142100} /passive /norestart
echo Removendo Java 2 Runtime Environment, SE v1.4.2_09...
MsiExec.exe /uninstall {7148F0A8-6813-11D6-A77B-00B0D0142090} /passive /norestart
echo Removendo Java 2 Runtime Environment, SE v1.4.2_08...
MsiExec.exe /uninstall {7148F0A8-6813-11D6-A77B-00B0D0142080} /passive /norestart
echo Removendo Java 2 Runtime Environment, SE v1.4.2_07...
MsiExec.exe /uninstall {7148F0A8-6813-11D6-A77B-00B0D0142070} /passive /norestart
echo Removendo Java 2 Runtime Environment, SE v1.4.2_06...
MsiExec.exe /uninstall {7148F0A8-6813-11D6-A77B-00B0D0142060} /passive /norestart
echo Removendo Java 2 Runtime Environment, SE v1.4.2_05...
MsiExec.exe /uninstall {7148F0A8-6813-11D6-A77B-00B0D0142050} /passive /norestart
echo Removendo Java 2 Runtime Environment, SE v1.4.2_04...
MsiExec.exe /uninstall {7148F0A8-6813-11D6-A77B-00B0D0142040} /passive /norestart
echo Removendo Java 2 Runtime Environment, SE v1.4.2_03...
MsiExec.exe /uninstall {7148F0A8-6813-11D6-A77B-00B0D0142030} /passive /norestart
echo Removendo Java 2 Runtime Environment, SE v1.4.2_02...
MsiExec.exe /uninstall {7148F0A8-6813-11D6-A77B-00B0D0142020} /passive /norestart
echo Removendo Java 2 Runtime Environment, SE v1.4.2_01...
MsiExec.exe /uninstall {7148F0A8-6813-11D6-A77B-00B0D0142010} /passive /norestart
echo Removendo Java 2 Runtime Environment, SE v1.4.2...
MsiExec.exe /uninstall {7148F0A8-6813-11D6-A77B-00B0D0142000} /passive /norestart
ECHO.
ECHO Detectando versao do Sistema Operacional...
PING 1.1.1.1 -n 1 -w 2000 >NUL
VER | FINDSTR /IL "6.1." > NUL
IF %ERRORLEVEL% EQU 0 goto Win7
ECHO.
ECHO Windows XP Detectado
ECHO.
ECHO [Firefox] Instalando Firefox 24.0.3 ESR Aguarde...
"Firefox_Setup_24_3_0_esr.exe" -ms
ECHO.
ECHO [Firefox] Instalado
ECHO.
ECHO [Firefox] Aplicando customizacoes...
PING 1.1.1.1 -n 1 -w 1000 >NUL
ECHO.
ECHO [Firefox] Aplicando customizacoes para Windows 32/64 bits...
PING 1.1.1.1 -n 1 -w 2000 >NUL
:: 32 bits
if exist "%programfiles%\Mozilla Firefox\" copy /Y "override.ini" "%programfiles%\Mozilla Firefox\"
if exist "%programfiles%\Mozilla Firefox\" copy /Y "mozilla.cfg" "%programfiles%\Mozilla Firefox\"
if exist "%programfiles%\Mozilla Firefox\" copy /Y "local-settings.js" "%programfiles%\Mozilla Firefox\defaults\pref"
:: 64 Bits
if exist "%ProgramFiles(x86)%\Mozilla Firefox\" copy /Y "override.ini" "%ProgramFiles(x86)%\Mozilla Firefox\"
if exist "%ProgramFiles(x86)%\Mozilla Firefox\" copy /Y "mozilla.cfg" "%ProgramFiles(x86)%\Mozilla Firefox\"
if exist "%ProgramFiles(x86)%\Mozilla Firefox\" copy /Y "local-settings.js" "%ProgramFiles(x86)%\Mozilla Firefox\defaults\pref"
ECHO.
ECHO [Java] Instalando Java 7 Update 51 Aguarde...
"jre-7u51-windows-i586.exe" /s
ECHO.
ECHO [Java] Instalado
ECHO.
ECHO [Java] Desabilitando a atualizacao do Java para Windows 32/64 bits...
PING 1.1.1.1 -n 1 -w 2000 >NUL
:: 32 bits
reg add "HKLM\Software\Wow6432Node\JavaSoft\Java Update\Policy" /v EnableJavaUpdate /d "00000000" /t REG_DWORD /f
:: 64 bits
reg add "HKLM\Software\JavaSoft\Java Update\Policy" /v EnableJavaUpdate /d "00000000" /t REG_DWORD /f
ECHO [Java] Atualizacoes desabilitadas.
ECHO.
::ECHO [Java] Instalando Java.Policy...
::set ProgRoot=%ProgramFiles%
::if not "%ProgramFiles(x86)%" == "" set ProgRoot=%ProgramFiles(x86)%
::xcopy /s "java.policy" "%ProgRoot%\Java\jre7\lib\security" /Y
::ECHO [Java] Java.Policy Instalado
::ECHO.
ECHO [Configuracoes Gerais] Native.dll
ECHO Detectando a arquitetura do sistema operacional...
ECHO.
PING 1.1.1.1 -n 1 -w 5000 >NUL
if "%PROCESSOR_ARCHITECTURE%"=="AMD64" goto 64BIT
echo [Configuracoes Gerais] Sistema Operacional de 32 Bits
ECHO.
xcopy /s "Native.dll" "C:\Windows\System32" /Y
ECHO [Configuracoes Gerais] Native.dll Instalada
ECHO.
ECHO.
ECHO.
ECHO.
ECHO      ########## INSTALACAO CONCLUIDA ##########
ECHO.
ECHO.
ECHO  o Sistema precisa ser reiniciado para concluir a instalacao
ECHO  pressione S para reiniciar ou N para reiniciar depois.		
ECHO.
ECHO.
set /p l=            Deseja reiniciar agora o sistema?
if %l%==* goto errol

if %l%==S goto restartWin7
if %l%==s goto restartWin7
if %l%==N goto quit
if %l%==n goto quit
goto errol2

:64BIT
ECHO [Configuracoes Gerais] Sistema Operacional de 64 Bits
ECHO.
xcopy /s "Native.dll" "C:\Windows\System32" /Y
xcopy /s "Native.dll" "C:\Windows\SysWOW64" /Y
ECHO [Configuracoes Gerais] Native.dll Instalada
ECHO.
ECHO.
ECHO.
ECHO.
ECHO      ########## INSTALACAO CONCLUIDA ##########
ECHO.
ECHO.
ECHO  o Sistema precisa ser reiniciado para concluir a instalacao
ECHO  pressione S para reiniciar ou N para reiniciar depois.		
ECHO.
ECHO.
set /p l=            Deseja reiniciar agora o sistema?
if %l%==* goto errol

if %l%==S goto restartWin7
if %l%==s goto restartWin7
if %l%==N goto quit
if %l%==n goto quit
goto errol2

:Win7
ECHO.
ECHO Windows 7 detectado...
ECHO.
ECHO [Desabilitando] Controle de Usuario (UAC)
reg add "HKLM\Software\Microsoft\Windows\CurrentVersion\Policies\System" /v EnableLUA /d "00000000" /t REG_DWORD /f
ECHO.
ECHO [Firefox] Instalando Firefox 24.0.3 ESR Aguarde...
"Firefox_Setup_24_3_0_esr.exe" -ms
ECHO.
ECHO [Firefox] Instalado
ECHO.
ECHO [Firefox] Aplicando customizacoes...
PING 1.1.1.1 -n 1 -w 1000 >NUL
ECHO.
ECHO [Firefox] Aplicando customizacoes para Windows 32/64 bits...
PING 1.1.1.1 -n 1 -w 2000 >NUL
:: 32 bits
if exist "%programfiles%\Mozilla Firefox\" copy /Y "override.ini" "%programfiles%\Mozilla Firefox\"
if exist "%programfiles%\Mozilla Firefox\" copy /Y "mozilla.cfg" "%programfiles%\Mozilla Firefox\"
if exist "%programfiles%\Mozilla Firefox\" copy /Y "local-settings.js" "%programfiles%\Mozilla Firefox\defaults\pref"
:: 64 Bits
if exist "%ProgramFiles(x86)%\Mozilla Firefox\" copy /Y "override.ini" "%ProgramFiles(x86)%\Mozilla Firefox\"
if exist "%ProgramFiles(x86)%\Mozilla Firefox\" copy /Y "mozilla.cfg" "%ProgramFiles(x86)%\Mozilla Firefox\"
if exist "%ProgramFiles(x86)%\Mozilla Firefox\" copy /Y "local-settings.js" "%ProgramFiles(x86)%\Mozilla Firefox\defaults\pref"
ECHO.
ECHO [Java] Instalando Java 7 Update 51 Aguarde...
"jre-7u51-windows-i586.exe" /s
ECHO.
ECHO [Java] Instalado
ECHO.
ECHO [Java] Desabilitando a atualizacao do Java para Windows 32/64 bits...
PING 1.1.1.1 -n 1 -w 2000 >NUL
:: 32 bits
reg add "HKLM\Software\Wow6432Node\JavaSoft\Java Update\Policy" /v EnableJavaUpdate /d "00000000" /t REG_DWORD /f
:: 64 bits
reg add "HKLM\Software\JavaSoft\Java Update\Policy" /v EnableJavaUpdate /d "00000000" /t REG_DWORD /f
ECHO [Java] Atualizacoes desabilitadas.
ECHO.
ECHO.
::ECHO [Java] Instalando Java.Policy...
::set ProgRoot=%ProgramFiles%
::if not "%ProgramFiles(x86)%" == "" set ProgRoot=%ProgramFiles(x86)%
::xcopy /s "java.policy" "%ProgRoot%\Java\jre7\lib\security" /Y
::ECHO Java.Policy Instalado
ECHO [Configuracoes Gerais] Native.dll
ECHO Detectando a arquitetura do sistema operacional...
ECHO.
PING 1.1.1.1 -n 1 -w 5000 >NUL
if "%PROCESSOR_ARCHITECTURE%"=="AMD64" goto 64BIT
echo [Configuracoes Gerais] Sistema Operacional de 32 Bits
ECHO.
xcopy /s "Native.dll" "C:\Windows\System32" /Y
ECHO [Configuracoes Gerais] Native.dll Instalada
ECHO.
ECHO.
ECHO.
ECHO.
ECHO      ########## INSTALACAO CONCLUIDA ##########
ECHO.
ECHO.
ECHO  o Sistema precisa ser reiniciado para concluir a instalacao
ECHO  pressione S para reiniciar ou N para reiniciar depois.		
ECHO.
ECHO.
set /p l=            Deseja reiniciar agora o sistema?
if %l%==* goto errol

if %l%==S goto restartWin7
if %l%==s goto restartWin7
if %l%==N goto quit
if %l%==n goto quit
goto errol2

:restartWin7
shutdown.exe /r /t 00

:errol
cls
ECHO.
ECHO.
ECHO Opcao invalida. Entre com a opcao novamente
ECHO.
ECHO.
PAUSE
GOTO menu

:errol2
cls
ECHO.
ECHO.
ECHO Opcao invalida. Entre com a opcao novamente
ECHO.
ECHO.
PAUSE
GOTO menu

:quit
exit